fgl-5.8.3.0: Martin Erwig's Functional Graph Library

Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Graph.Inductive.Query.Dominators

Synopsis

- dom :: Graph gr => gr a b -> Node -> [(Node, [Node])]
- iDom :: Graph gr => gr a b -> Node -> [(Node, Node)]

# Documentation

dom :: Graph gr => gr a b -> Node -> [(Node, [Node])] Source #

return the set of dominators of the reachable nodes of a graph, given a root

iDom :: Graph gr => gr a b -> Node -> [(Node, Node)] Source #

return immediate dominators for each reachable node of a graph, given a root